Commit d8b182f4 authored by remy's avatar remy

update python doc

parent 3b009deb
......@@ -6,12 +6,7 @@
# Version de python
2 versions sont disponibles au travers de [module](cluster.md#utiliser-module) en plus de la version système déjà installée dans `/usr/bin/python`
```bash
/usr/bin/python -V
> Python 2.6.6
```
2 versions sont disponibles au travers de [module](cluster.md#utiliser-module).
```bash
module avail
......@@ -22,21 +17,21 @@ module av
Vous pouvez ensuite charger la version que vous souhaitez ainsi :
```bash
module load python2.7
module load python/2.7
# ou
module add python2.7
module add python/2.7
```
```bash
module load python3.3
module add python/3
```
Et l'enlever ainsi :
```bash
module unload python3.3
module unload python/3
# ou
module rm python3.3
module rm python/3
```
> **Warning** Pour un script de soumission, n'oubliez pas d'insérer ce type de ligne avant de lancer votre code en python. De plus, regardez les sources. Parfois l'entête du fichier python appelle directement une version de python comme par exemple `#!/usr/bin/python` qui cargera la version `2.7` par défaut. Il vaut mieux modifier cet entète (ou [`Shebang`](https://fr.wikipedia.org/wiki/Shebang)), en `#!/usr/bin/env python`.
......@@ -53,10 +48,10 @@ Ou utiliser pip :
```bash
# si python2.7
module load python2.7
module load python/2.7
pip install --user monmodule
# si python3
module load python3.3
module load python/3
pip3 install --user monmodule
```
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment